<?php
	require_once(CI_PATH_LIBS.'/skype.inc.php');
	require_once(CI_PATH_LIBS.'/users.inc.php');
	
	class S2P_API_MODULE_USERS extends S2P_API_MODULE
	{
		function S2P_API_MODULE_USERS()
		{
		}

		function run($args)
		{
			switch ($args['task'])
			{
				case 'create':
				case 'save':
				case 'modify':	return $this->task_save($args);
				case 'toggle':	return $this->task_toggle($args);
				case 'remove':	return $this->task_remove($args);
				case 'list':	return $this->task_list($args);
				case 'info':	return $this->task_info($args);
			}

			return $this->error_no_task();
		}

		function task_info($args)
		{
			$manager=new CI_USERS();

			if ($args['pin'])
				$info=$manager->get_info_by_pin($args['pin']);
			elseif ($args['id'])
				$info=$manager->get_info($args['id']);
			else
				return ci_response_error('missing-pin-or-id');
			
			return ci_response_ok($info);
		}

		function task_list($args)
		{
			$manager=new CI_USERS();
			return ci_response_ok(array('item' => $manager->get_list()));
		}

		function task_save($args)
		{
			$manager=new CI_USERS();
			return $manager->task_save($_REQUEST);
		}

		function task_remove($args)
		{
			$manager=new CI_USERS();
			return $manager->task_delete($_REQUEST['id']);
		}

		function task_toggle($args)
		{
			$manager=new CI_USERS();
			return $manager->task_toggle($_REQUEST['id']);
		}
	}
?>