<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/channels_zap.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$manager=new CI_CHANNELS_ZAP();
	$_REQUEST['id']=$manager->get_id_by_pos($_REQUEST['n']);

	$devices=$manager->get_devices();
	$device=$devices[intval($_REQUEST['n'])];

	$wanpipe=(preg_match("/wanpipe/", $device['name']));

	$hidden_fields=array(
		'id'	=> $_REQUEST['id'],
		'task'	=> 'save'
	);

	$media_options=array(
		'e1'	=> ci_lbl('channels.zap.info.fld-media.e1'),
		't1'	=> ci_lbl('channels.zap.info.fld-media.t1')
	);

	$reverse_polarity_options=array(
		'none'			=> ci_lbl('channels.zap.info.fld-reverse_polarity.none'),
		'inprogress'	=> ci_lbl('channels.zap.info.fld-reverse_polarity.inprogress'),
		'disconnect'	=> ci_lbl('channels.zap.info.fld-reverse_polarity.disconnect')
	);

	$nodetype_options=array(
		'net'	=> ci_lbl('channels.zap.info.fld-nodetype.net'),
		'cpe'	=> ci_lbl('channels.zap.info.fld-nodetype.cpe')
	);

	$swtype_options=array(
		'euroisdn'	=> 'EuroISDN',
		'ni2'		=> 'National',
		'dms100'	=> 'DMS100',
		'lucent5e'	=> 'Lucent5e',
		'att4ess'	=> 'Att4ess',
		'ni1'		=> 'NI1',
		'gr303eoc'	=> 'gr303eoc',
		'gr303tmc'	=> 'gr303tmc',
		'qsig'		=> 'Q.SIG'
	);

	$layer_options=array(
		'alaw'		=> ci_lbl('channels.zap.info.fld-layer.alaw'),
		'ulaw'		=> ci_lbl('channels.zap.info.fld-layer.ulaw')
	);

	$lbo_options=array(
		'0'		=> '0 dB (CSU) / 0 - 133 feet (DSX-1)',
		'1'		=> '133 - 266 feet (DSX-1)',
		'2'		=> '266 - 399 feet (DSX-1)',
		'3'		=> '399 - 533 feet (DSX-1)',
		'4'		=> '533 - 655 feet (DSX-1)',
		'5'		=> '-7.5 dB (CSU)',
		'6'		=> '-15 dB (CSU)',
		'7'		=> '-22.5 dB (CSU) '
	);

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'media'					=> array('type' => 'select', 'options' => $media_options),
				'nodetype'				=> array('type' => 'select', 'options' => $nodetype_options),
				'swtype'				=> array('type' => 'select', 'options' => $swtype_options),
				'crc4'					=> array('type' => 'yesno'),
				'composing_timeout'		=> array('type' => 'text', 'extra' => array('size' => 5)),
				'tx_gain'				=> array('type' => 'float', 'extra' => array('size' => 5)),
				'rx_gain'				=> array('type' => 'float', 'extra' => array('size' => 5)),
				'echo_cancel'			=> array('type' => 'yesno')
			)
		),
		'advanced'	=> array(
			'fields'	=> array(
				'layer'				=> array('type' => 'select', 'options' => $layer_options),
				'overlap_dial'		=> array('type' => 'yesno'),
				'timing'			=> array('type' => 'int', 'extra' => array('size' => 5)),
				'lbo'				=> array('type' => 'select', 'options' => $lbo_options),
				'yellow'			=> array('type' => 'yesno'),
				'relax_dtmf'		=> array('type' => 'yesno')
			)
		)
	);

	
	$info=$manager->get_info($_REQUEST['id']);

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/channels_zap.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('channels.zap.info.tab-');
	$form->set_fields_label_prefix('channels.zap.info.fld-');

	$form->buttons->add_stock_button('back');
	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('channels/zaptel/index.php'); break;
			case 'save':	$('form').do_submit(); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}
</script>

<?php if ($wanpipe) { ?>
<div class="warn_block"><?php echo ci_lbl("channels.zap.info.needreboot") ?></div>
<?php } ?>

<div class="title"><?php echo ci_lbl("channels.zap.info.title", array('name' => $device['name'])) ?></div>

<div class="help"><?php echo ci_hlp("channels.zap.info") ?></div>

<?php echo $form->get() ?>

<?php if (!$wanpipe) { ?>
<script type="text/javascript">
	$('form').media.disabled=true;
</script>
<?php } ?>

