<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/settings.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array(
		'id'	=> $_REQUEST['id'],
		'task'	=> 'save'
	);

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'desc'				=> array('type' => 'text'),
				'mode'				=> array('type' => 'select', 'options' => array(
					'email'	=> ci_lbl('settings.media.info.fld-mode.email'),
					'ftp'	=> ci_lbl('settings.media.info.fld-mode.ftp')
				), 'extra' => array(
					'onchange' => 'on_mode_change()'
				)),
				'email_from'		=> array('type' => 'email'),
				'email_to'			=> array('type' => 'email'),
				'email_smtp'		=> array('type' => 'text'),
				'ftp_server'		=> array('type' => 'text'),
				'ftp_port'			=> array('type' => 'int'),
				'ftp_path'			=> array('type' => 'text'),
				'ftp_username'		=> array('type' => 'text'),
				'ftp_password'		=> array('type' => 'password'),
				'enabled'			=> array('type' => 'yesno')
			)
		)
	);

	$manager=new CI_SETTINGS_MEDIA();
	$info=$manager->get_info($_REQUEST['id']);

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/settings_media.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('settings.media.info.tab-');
	$form->set_fields_label_prefix('settings.media.info.fld-');

	$form->buttons->add_stock_button('back');
	$form->buttons->add_stock_button('reset');
	if ($_REQUEST['id']) $form->buttons->add_stock_button('delete');
	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_modal_results(id, res)
	{
		if ((id=="delete") && (res==true))
		{
			$('form').task.value="delete";
			$('form').do_submit();
			ci_load_page('settings/media/index.php');
		}
	}
	
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('settings/media/index.php'); break;
			case 'reset':	$('form').reset(); break;
			case 'save':	$('form').do_submit(); break;
			case 'delete':	ci_modal_confirm("delete", "<?php echo ci_lbl('settings.media.info.confirm-delete') ?>", "on_modal_results"); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}

	function on_mode_change()
	{
		var val=$('form').mode.value;

		email_disabled	= (val != 'email');
		ftp_disabled	= (val != 'ftp');
		
		$('form').email_from.disabled	= email_disabled;
		$('form').email_to.disabled		= email_disabled;
		$('form').email_smtp.disabled	= email_disabled;
		
		$('form').ftp_server.disabled	= ftp_disabled;
		$('form').ftp_port.disabled		= ftp_disabled;
		$('form').ftp_path.disabled		= ftp_disabled;
		$('form').ftp_username.disabled	= ftp_disabled;
		$('form').ftp_password.disabled	= ftp_disabled;
	}
</script>

<?php if ($_REQUEST['id']) { ?>
<div class="title"><?php echo ci_lbl("settings.media.info.title", array('name' => $info['desc'])) ?></div>
<?php } else { ?>
<div class="title"><?php echo ci_lbl("settings.media.info.title-new") ?></div>
<?php } ?>

<div class="help"><?php echo ci_hlp("settings.media.info") ?></div>

<?php echo $form->get() ?>

<script type="text/javascript">on_mode_change();</script>
