<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/skype.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array(
		'id'	=> $_REQUEST['id'],
		'task'	=> 'save'
	);

	$languages=ci_get_languages();
	$countries=ci_get_countries();

	$timezones=array();
	for ($i=-12*4; $i<12*4; $i++)
	{
		$h=str_pad(abs(intval($i/4)), 2, "0", STR_PAD_LEFT);
		$m=str_pad(15*abs($i % 4), 2, "0", STR_PAD_LEFT);
		
		if ($i<0)			$timezones[($i*900)+86400]="GMT -$h:$m";
		elseif ($i == 0)	$timezones[86400]="GMT";
		else				$timezones[($i*900)+86400]="GMT +$h:$m";
			
	}

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'desc'						=> array('type' => 'text'),
				'profile_fullname'			=> array('type' => 'text'),
				'profile_birthday'			=> array('type' => 'date'),
				'profile_sex'				=> array('type' => 'select', 'options' => array(
													'UNKNOWN'	=> ci_lbl('skype.profiles.info.sex.unknown'),
													'MALE'		=> ci_lbl('skype.profiles.info.sex.male'),
													'FEMALE'	=> ci_lbl('skype.profiles.info.sex.female')
												)),
				'enabled'					=> array('type' => 'yesno')
			)
		),
		'localization' => array(
			'fields'	=> array(
				'profile_languages'			=> array('type' => 'select', 'options' => $languages, 'null' => true),
				'profile_country'			=> array('type' => 'select', 'options' => $countries, 'null' => true),
				'profile_province'			=> array('type' => 'text'),
				'profile_city'				=> array('type' => 'text'),
				'profile_timezone'			=> array('type' => 'select', 'options' => $timezones, 'null' => true)
			)
		),
		'contacts'	=> array(
			'fields'	=> array(
				'profile_phone_home'		=> array('type' => 'text'),
				'profile_phone_office'		=> array('type' => 'text'),
				'profile_phone_mobile'		=> array('type' => 'text'),
				'profile_homepage'			=> array('type' => 'text')
			)
		),
		'freespaces'	=> array(
			'fields'	=> array(
				'profile_about'				=> array('type' => 'text'),
				'profile_mood_text'			=> array('type' => 'text'),
				'profile_rich_mood_text'	=> array('type' => 'text')
			)
		)
	);

	$manager=new CI_SKYPE_PROFILES();

	$info=$manager->get_info($_REQUEST['id']);

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/skype_profiles.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('skype.profiles.info.tab-');
	$form->set_fields_label_prefix('skype.profiles.info.fld-');

	$form->buttons->add_stock_button('back');
	$form->buttons->add_stock_button('reset');
	if ($_REQUEST['id']) $form->buttons->add_stock_button('delete');
	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_modal_results(id, res)
	{
		if ((id=="delete") && (res==true))
		{
			$('form').task.value="delete";
			$('form').do_submit();
			ci_load_page('skype/profiles/index.php');
		}
	}
	
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('skype/profiles/index.php'); break;
			case 'reset':	$('form').reset(); break;
			case 'save':	$('form').do_submit(); break;
			case 'delete':	ci_modal_confirm("delete", "<?php echo ci_lbl('skype.profiles.info.confirm-delete') ?>", "on_modal_results"); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}
</script>

<?php if ($_REQUEST['id']) { ?>
<div class="title"><?php echo ci_lbl("skype.profiles.info.title", array('name' => $info['desc'])) ?></div>
<?php } else { ?>
<div class="title"><?php echo ci_lbl("skype.profiles.info.title-new") ?></div>
<?php } ?>

<div class="help"><?php echo ci_hlp("skype.profiles.info") ?></div>

<?php echo $form->get() ?>
