#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
from xml.sax import saxutils

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)
sys.path.append(_libspath+'/pythondialog')

import dialog
from castiron import *

# Configuration files
CORE_CONF_SYSTEM 		= xml_to_array(CORE_PATH_BASE+'/config/system.xml')
CASTIRON_CONF_SYSTEM	= xml_to_array(CASTIRON_PATH_BASE+'/config/system.xml')

# Import language
execfile(CASTIRON_PATH_BASE+'/langs/'+CORE_CONF_SYSTEM['language']+'/labels.py')
	
def ci_lbl(code):
	if not CI_LBL.has_key(code): return code
	return CI_LBL[code]
	
def menu_root():
	while 1:
		(code, tag)=d.passwordbox(ci_lbl("terminal.password.ask"), width=70)
	
		if (code != 0): return

		if len(tag)<6:
			d.msgbox(ci_lbl("terminal.password.short"), width=50)
			continue

		(code, tag2)=d.passwordbox(ci_lbl("terminal.password.again"), width=70)
		if (code != 0): return
		
		if tag != tag2:
			d.msgbox(ci_lbl("terminal.password.mismatch"), width=50)
			continue

		d.infobox(ci_lbl("terminal.password.apply"), width=50)

		os.system(CASTIRON_PATH_BASE+"/terminal/passwd_root.sh \""+tag+"\" 1>/dev/null 2>/dev/null")
		
		d.msgbox(ci_lbl("terminal.password.done"))
		return

def menu_webui():
	while 1:
		(code, tag)=d.passwordbox(ci_lbl("terminal.password.ask"), width=70)
	
		if (code != 0): return

		if len(tag)<6:
			d.msgbox(ci_lbl("terminal.password.short"), width=50)
			continue

		(code, tag2)=d.passwordbox(ci_lbl("terminal.password.again"), width=70)
		if (code != 0): return
		
		if tag != tag2:
			d.msgbox(ci_lbl("terminal.password.mismatch"), width=50)
			continue

		d.infobox(ci_lbl("terminal.password.apply"), width=50)

		fp=open(APPS_PATH_BASE+'/igx/config/auth/users.xml', 'r')
		current_user=''
		out=''
		for line in fp:
			m=re.search(r'^\s*<id>(?P<user>[^<]+)</id>', line)
			if m: current_user=m.group('user')

			if current_user == 'admin' and re.search(r'^\s*<castiron\-password>[^<]+</castiron\-password>', line):
				line=re.sub(r'^\s*<castiron\-password>[^<]+</castiron\-password>', '<castiron-password>'+md5sum(tag)+'</castiron-password>', line)

			out=out+line
			
		fp.close()
		fp=open(APPS_PATH_BASE+'/igx/config/auth/users.xml', 'w')
		fp.write(out)
		fp.close()
		
		d.msgbox(ci_lbl("terminal.password.done"))
		return
	

# Start dialog
d=dialog.Dialog(dialog="dialog")
d.add_persistent_args(["--backtitle", ci_lbl('terminal.title')])
d.add_persistent_args(["--cancel-label", ci_lbl('terminal.close')])

while 1:
	(code, tag) = d.menu(
		ci_lbl("terminal.select"),
		width=70,
		height=15,
		choices=[
					("1", ci_lbl("terminal.password.root")),
					("2", ci_lbl("terminal.password.webui"))
				]
			)

	if int(code) != 0: break
	tag=int(tag)

	if (tag == 1):		menu_root()
	elif (tag == 2):	menu_webui()
	else:				break

