#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
import signal

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

from s2p import *

sys.path.append(CORE_PATH_SDK+'/python')

from s2p_base import *

from s2p_logger import *
from s2p_bridge import *

stats={}

def on_skype_event(source, event_name, event_args):
	if not stats.has_key(source): stats[source]={}
	if not stats.has_key(source[source]): stats[source][event_name]=0
	
	stats[source][event_name]=stats[source][event_name]+1

# Initialize handlers
s2ps=S2P_SKYPE()

# Register callbacks
s2ps.register_callback('raw-events', on_skype_event)

# Start threads
s2ps.start()
